Summary:       Programs for Processing and Analysis of Astronomical Data
Name:          x11iraf
Version:       2.0
Release:       %mkrel 10
License:       MIT-like
Group:         Sciences/Astronomy

Url:           http://iraf.noao.edu/
Source0:       http://iraf.noao.edu/x11iraf/x11iraf-v2.0BETA-src.tar.gz

Patch0:        x11iraf.stdarg.patch
Patch1:        x11iraf.xpm.patch

BuildRequires: iraf
BuildRequires: curl-devel
BuildRequires: expat-devel
BuildRequires: readline-devel
BuildRequires: cfitsio-devel
BuildRequires: xmlrpc-c-devel
BuildRequires: tcsh
BuildRequires: flex
BuildRequires: imake  
BuildRequires: ncurses-devel
BuildRequires: gccmakedep
#Mageia
BuildRequires: libxt-devel
BuildRequires: libxmu-devel
BuildRequires: xaw3d-devel
BuildRequires: libxaw-devel
BuildRequires: libxpm-devel
#Fedora
#BuildRequires: libXt-devel libXmu-devel Xaw3d-devel libXaw-devel

%description
IRAF stands for the Image Reduction and Analysis Facility. It
is the de facto standard for the general processing of astronomical images
and spectroscopy from the ultraviolet to the far infrared.  IRAF is a 
product of the National Optical Astronomy Observatories (www.noao.edu). 

%prep
%setup -q -T -c -a 0 -n x11-iraf
%patch0 -p1
%patch1 -p1
sed -i -e s!xpm.h!X11/xpm.h!g obm/ObmW/Common.c \
   obm/ObmW/Converters.h 
sed -i -e s!/usr/local/!/usr/!g ximtool/ximtool.h


%build
%define iraf %{_libdir}/iraf/
%define host unix/
%define hlib %{iraf}%{host}hlib/
unset IRAFARCH
export IRAFARCH=`%{hlib}irafarch.csh`

cd %{_builddir}/x11-iraf
find \( -name "*.o" -o -name "*.a" \) -delete
xmkmf
export PATH=$PATH:%{iraf}%{host}bin:%{iraf}%{host}bin.${IRAFARCH}
# Parallel make does not work
make

%install
%{__mkdir_p} %{buildroot}/%{_bindir}
cd %{_builddir}/x11-iraf 
make install
install -D -m 755 bin/ism_wcspix.e %{buildroot}/%{_bindir}/ism_wcspix.e
install -D -m 755 bin/obmsh %{buildroot}/%{_bindir}/obmsh
install -D -m 755 bin/resize %{buildroot}/%{_bindir}/resize
install -D -m 755 bin/vximtool %{buildroot}/%{_bindir}/vximtool
install -D -m 755 bin/xgterm %{buildroot}/%{_bindir}/xgterm
install -D -m 755 bin/ximtool %{buildroot}/%{_bindir}/ximtool
install -D -m 755 bin/ximtool-alt %{buildroot}/%{_bindir}/ximtool-alt
install -D -m 755 bin/ximtool-old %{buildroot}/%{_bindir}/ximtool-old
install -D -m 755 bin/xtapemon %{buildroot}/%{_bindir}/xtapemon
install -D -m 755 bin/obmsh %{buildroot}/%{_bindir}/obmsh
install -D -m 644 man/obmsh.1  %{buildroot}%{_mandir}/man1/obmsh.1
install -D -m 644 man/resize.1  %{buildroot}%{_mandir}/man1/resize.1
install -D -m 644 man/vximtool.1  %{buildroot}%{_mandir}/man1/vximtool.1
install -D -m 644 man/xgterm.1  %{buildroot}%{_mandir}/man1/xgterm.1
install -D -m 644 man/ximtool.1  %{buildroot}%{_mandir}/man1/ximtool.1
install -D -m 644 man/xtapemon.1  %{buildroot}%{_mandir}/man1/xtapemon.1

%files
%{_bindir}/ism_wcspix.e
%{_bindir}/obmsh
%{_bindir}/vximtool
%{_bindir}/xgterm
%{_bindir}/ximtool
%{_bindir}/ximtool-alt
%{_bindir}/ximtool-old
%{_bindir}/xtapemon
%exclude %{_bindir}/resize
%{_mandir}/man1/*.1*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 2.0-10.mga5
+ Revision: 747893
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.0-9.mga5
+ Revision: 725281
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0-8.mga5
+ Revision: 690529
- Mageia 5 Mass Rebuild

* Fri Feb 28 2014 eatdirt <eatdirt> 2.0-7.mga5
+ Revision: 597735
- Rebuild for new cfitsio

* Tue Oct 22 2013 umeabot <umeabot> 2.0-6.mga4
+ Revision: 541497
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 joequant <joequant> 2.0-5.mga4
+ Revision: 496010
- rebuild with tinfo

* Tue Aug 13 2013 joequant <joequant> 2.0-4.mga4
+ Revision: 466102
- fix 64-bit problem

* Tue Aug 13 2013 joequant <joequant> 2.0-3.mga4
+ Revision: 466018
- fix ximtool crash - looks like a 64-bit pointer issue
- use system Xpm

* Sun Aug 11 2013 eatdirt <eatdirt> 2.0-2.mga4
+ Revision: 465543
- Adding missing man files, clean spec file

* Sun Jul 28 2013 joequant <joequant> 2.0-1.mga4
+ Revision: 459344
- more iraf spec tweaks
- add bison
- tweak buildrequires
- add byacc to builddepends
- initial checkin
- Created package structure for x11iraf.

